Bug 717 - Applets on RocketBar don't receive layout events
: Applets on RocketBar don't receive layout events
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 18:24 MSD by Dmitry
Modified: 2012-11-20 13:46 MSK (History)
5 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
A new rocketbar panel is added (horizontal layout) (58.23 KB, image/png)
2012-08-29 18:25 MSD, Dmitry
Details
Vertical positioned panel. (61.00 KB, image/png)
2012-08-29 18:26 MSD, Dmitry
Details
error (139.74 KB, image/png)
2012-10-11 13:08 MSD, Vladimir Potapov
Details
rosapanel-1.0-31-rosa.lts2012.0.x86_64 (579.92 KB, image/png)
2012-10-25 17:29 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry 2012-08-29 18:24:29 MSD
Description of problem:
If I add RocketBar then some applets won't receive layout events. If I change position of panel then they [applets] won't change their direction/form/layout. This problem arises only if a panel is added, but after restarting of desktop all is OK. See attachments please.


How reproducible:
always

Steps to Reproduce:
1. Add RocketBar 
2. Change its position
3.
Comment 1 Dmitry 2012-08-29 18:25:13 MSD
Created attachment 515 [details]
A new rocketbar panel is added (horizontal layout)
Comment 2 Dmitry 2012-08-29 18:26:02 MSD
Created attachment 516 [details]
Vertical positioned panel.
Comment 3 Dmitry 2012-08-30 11:01:08 MSD
I've fixed this problem.
Comment 4 Dmitry 2012-08-30 16:11:01 MSD
Advisory:
- Rosa separator applet was removed (Icons tasks applet draws separators)
- Problem with wrong layouting of applets was fixed
- Problem with wrong icons of default stackfolders was fixed

Build lists:
- https://abf.rosalinux.ru/build_lists/700050
- https://abf.rosalinux.ru/build_lists/700051

At least should be tested:
- Icons tasks applet (central applet) now contains separators. No separate applet for rosa separator. So, separators cannot be moved and right clicks on them cause an appearing of context menu for icon tasks (central applet). 
- If you add RocketBar panel then problem described in this bug report won't  occur
- If you change directory for downloads or documents then the problem described in bug report #710 (bug 710) won't occur

May need extended testing.
Comment 5 Dmitry 2012-08-30 16:17:26 MSD
> If you add RocketBar panel then problem described in this bug report won't  occur

Add RocketBar to desktop. Look at central part of panel. Icon tasks applet should acquire all available space. Try to move it to right or left edge of screen. Check that system tray applet and other are shown correctly.

> If you change directory for downloads or documents then the problem described in bug report #710 (bug 710) won't occur

Change documents/downloads directory (use systemsettings -> use account -> paths). Restart plasma-desktop. Add RocketBar panel to desktop. Default stackfolders should show correct directories.
Comment 6 Dmitry 2012-10-11 10:43:44 MSD
Advisory:
- Rosa separator applet was removed (Icons tasks applet draws separators)
- Problem with wrong layouting of applets was fixed
- Problem with wrong icons of default stackfolders was fixed

Build lists:
- https://abf.rosalinux.ru/build_lists/750264
- https://abf.rosalinux.ru/build_lists/750265

At least should be tested:
- Icons tasks applet (central applet) now contains separators. No separate applet for rosa separator. So, separators cannot be moved and right clicks on them cause an appearing of context menu for icon tasks (central applet). 
- If you add RocketBar panel then problem described in this bug report won't  occur
- If you change directory for downloads or documents then the problem described in bug report #710 (bug 710) won't occur

Please, read previous comments

Needs extended testing.
Comment 7 Vladimir Potapov 2012-10-11 13:08:31 MSD
Created attachment 649 [details]
error

0) Delete default rocketbar
1) Add new rocketbar
2) Delete a stackfolder icon
3) Add new stackfolder icon
See size mismatch

P.S. Maybe should change "rocketbar" to "rosa-panel"(localized "РОСА-панель")?

WBR
Vladimir Potapov
QA Team
Comment 8 Ural Mullabaev 2012-10-11 13:18:11 MSD
It's StackFolder problem that already fixed, but hasn't updated yet. I'll create request to update soon.
Comment 9 Dmitry 2012-10-11 13:19:13 MSD
Vladimir, could you resize panel? Will a stackfolder icon be resized if a panel is resized? There was a similar bug in stackfolder.
Comment 10 Vladimir Potapov 2012-10-11 13:30:27 MSD
Congratulations! This update fix bug #600!!!
Comment 11 Vladimir Potapov 2012-10-11 13:49:09 MSD
(In reply to comment #9)
> Vladimir, could you resize panel? Will a stackfolder icon be resized if a
> panel is resized? There was a similar bug in stackfolder.
The stackfolder icon not be resized. Well, check the box again.
Comment 12 Dmitry 2012-10-11 13:54:29 MSD
I've tested old panel and stackfolder. This is a problem of stackfolder. So, we have to wait for an update of stackfolder first.
Comment 13 Ural Mullabaev 2012-10-11 14:25:53 MSD
StackFolder update request http://bugs.rosalinux.ru/show_bug.cgi?id=896.
Comment 14 Denis Koryavov 2012-10-11 17:07:44 MSD
Advisory:
- Rosa separator applet was removed (Icons tasks applet draws separators)
- Problem with wrong layouting of applets was fixed
- Problem with wrong icons of default stackfolders was fixed
- Fixed bug #600. 

Build lists:
- https://abf.rosalinux.ru/build_lists/700050
- https://abf.rosalinux.ru/build_lists/700051
Comment 15 Vladimir Potapov 2012-10-12 05:12:06 MSD
(In reply to comment #14)
> - https://abf.rosalinux.ru/build_lists/700050
> - https://abf.rosalinux.ru/build_lists/700051
Error 404
Comment 16 Vladimir Potapov 2012-10-12 05:30:30 MSD
version https://abf.rosalinux.ru/build_lists/750264

1) Change path "Загрузки" to exist folder "Down"
2) Click to standard SF (icon - OK)
3) The plasma crash :-(
Comment 17 Dmitry 2012-10-15 19:38:24 MSD
Are you moved files from old to new Download directory? Usually KDE offers to move files. This action can cause crash of plasma.
Comment 19 Vladimir Potapov 2012-10-22 17:04:49 MSD
SF work fine, please, add '?' to "qa_verified" for this update.
Comment 20 Dmitry 2012-10-22 20:55:09 MSD
Please, see comment #6
Comment 21 Vladimir Potapov 2012-10-23 11:35:24 MSD
rosapanel-1.0-39-rosa.lts2012.0
************* Advisory ***************
Rosa separator applet was removed (Icons tasks applet draws separators)
- Problem with wrong layouting of applets was fixed
- Problem with wrong icons of default stackfolders was fixed
- Fixed bug with cpu load (#600)
***************************************
QA Verified
Comment 22 Vladimir Potapov 2012-10-23 11:37:10 MSD
warning! I verified version from comment#6.
Comment 23 Postnikov Dmitry 2012-10-25 17:29:35 MSD
In the version of rosapanel-1.0-31-rosa.lts2012.0.x86_64 in a vertical position "delimiters" differ from the horizontal position of the panel.
See att.
Comment 24 Postnikov Dmitry 2012-10-25 17:29:49 MSD
Created attachment 790 [details]
rosapanel-1.0-31-rosa.lts2012.0.x86_64
Comment 25 Dmitry 2012-10-25 18:13:38 MSD
Так изначально было задумано.
Comment 26 Postnikov Dmitry 2012-10-25 18:17:55 MSD
(In reply to comment #25)
> Так изначально было задумано.

:) Значит можно закрывать багу.
Comment 27 Dmitry 2012-10-25 19:08:55 MSD
Я еще хотел хотя бы для симметрии перевернуть разделитель, когда панель сверху, но мне запретили это делать (:
Comment 28 Denis Koryavov 2012-10-25 20:17:24 MSD
Можешь сделать его как на боковой панели.
Comment 29 Dmitry 2012-11-20 13:03:12 MSK
Advisory:
- Rosa separator applet was removed (Icons tasks applet draws separators itself)
- Problem with wrong layouting of applets was fixed
- Problem with wrong icons of default stackfolders was fixed
- Problem with Oxygen theme was fixed

Build lists:
https://abf.rosalinux.ru/build_lists/847543
https://abf.rosalinux.ru/build_lists/847544
https://abf.rosalinux.ru/build_lists/847545
https://abf.rosalinux.ru/build_lists/847546
Comment 30 Vladimir Potapov 2012-11-20 13:43:32 MSK
rosapanel-1.0-40-rosa.lts2012.0
rosapanel-1.0-40-rosa.lts2012.1
*************** Advisory ***********************
- Rosa separator applet was removed (Icons tasks applet draws separators itself)
- Problem with wrong layouting of applets was fixed
- Problem with wrong icons of default stackfolders was fixed
- Problem with Oxygen theme was fixed
- Fixed bug with cpu load (#600)
*************************************************
QA Verified